Subject: Re: ffap -> emacs-w3m dropping of #anchor

From: [email-masked]
Date: Sat, 06 Sep 2008 06:00:01 +0800

>>>>> "KY" == Katsumi Yamaoka <[email-masked]> writes:

>>>>> In [emacs-w3m : No.10333] [email-masked] wrote:
>> If I do C-x C-f  http://catless.ncl.ac.uk/Risks/25.29.html#subj13.1
>> I end up at just http://catless.ncl.ac.uk/Risks/25.29.html
>> If I do G or U   http://catless.ncl.ac.uk/Risks/25.29.html#subj13.1
>> I indeed get to that anchor.
>> C-x C-f runs the command find-file-at-point, the rest of my
>> customization is in http://jidanni.org/comp/configuration/

KY> I don't know why `find-file-at-point' strips the #name portion
KY> but it is done in the function `ffap-fixup-url'.  A workaround:

KY> (defadvice ffap-fixup-url (around dont-use-url-normalize-url activate)
KY>   "Don't use `url-normalize-url'."
KY>   (if (fboundp 'url-normalize-url)
KY>       (let ((unu (symbol-function 'url-normalize-url)))
KY> 	(fmakunbound 'url-normalize-url)
KY> 	(unwind-protect
KY> 	    ad-do-it
KY> 	  (fset 'url-normalize-url unu)))
KY>     ad-do-it))

I'll send this to bug-gnu-emacs. They'll fix ffap at the root of the
problem, instead of needing defadvice workarounds.